gem install sqlite3 ruby error West Falmouth Massachusetts

Address Osterville, MA 02655
Phone (508) 737-1986
Website Link
Hours

gem install sqlite3 ruby error West Falmouth, Massachusetts

Why is water evaporated from the ocean not salty? D:\sqlite3\include --sqlite3.h --sqlite3ext.h D:\sqlite3\liby --shell.c --sqlite3.c then I run gem install sqlite3 --platform=ruby -- --with-sqlite3-include=D:\sqlite3\include --with-sqlite3-lib=D:\sqlite3\liby I still got the errors. That means it may not be possible to run newer gems on 4 yr old released versions of Ubuntu. it fails when i run gem install sqlite3. –user53216 Dec 16 '14 at 15:29 add a comment| 1 Answer 1 active oldest votes up vote 3 down vote You lack the

Stefan Wille August 5, 2015, 12:21 pm Try: sudo apt-get install ruby-dev Frank Seager December 8, 2015, 10:35 pm And if your on a Windows Machine? Already have an account? Thanks! Desktop 10.04 supported ended about a yr ago.

C:\Ruby21-x64>gem install sqlite3 Temporarily enhancing PATH to include DevKit... In it, you'll get: The week's top questions and answers Important community announcements Questions that need answers see an example newsletter By subscribing, you agree to the privacy policy and terms We recommend upgrading to the latest Safari, Google Chrome, or Firefox. Results logged to C:/Ruby21-x64/lib/ruby/gems/2.1.0/extensions/x64-mingw32/2.1.0 /sqlite3-1.3.10/gem_make.out Following my textbook, I have already downloaded 'sqlite-shell-win32-x86' , made 'c:\sqlite3' folder , added 'sqlite3.exe' in that folder and added path 'c:\sqlite3'.

Put them into C:\Windows\System32 And put the c and h files into the following directory. Why did my electrician put metal plates wherever the stud is drilled through? Unsubstantiated De kio “saluton” estas la rekta objekto? This could take a while...

When to use "bon appetit"? Check the mkmf.log file for more details. ruby-on-rails ruby ruby-on-rails-3 sqlite3 sqlite3-ruby share|improve this question asked May 11 '13 at 20:40 user2192677 157312 add a comment| 3 Answers 3 active oldest votes up vote 1 down vote accepted Putting pin(s) back into chain Karger's Algorithm question Is there a Korean word for 'Syllable Block'?

mkdir \knapsack chdir \knapsack download http://packages.openknapsack.org/sqlite/sqlite-3.7.15.2-x86-windows.tar.lzma bsdtar --lzma -xf \setup\sqlite\sqlite-3.7.15.2-x86-windows.tar.lzma gem install -l \setup\gem\sqlite3-1.3.7.gem --platform=ruby -- --with-opt-dir=C:/Knapsack Building native extensions with: '--with-opt-dir=C:/Knapsack' This could take a while... Why must the speed of light be the universal speed limit for all the fundamental forces of nature? OPEN (versions may vary) \Ruby21-x64\lib\ruby\gems\2.1.0\gems\railties-4.1.6\lib\rails\generators\rails\‌​app\templates\Gemfile file. Why doesn't ${@:-1} return the last element of [email protected]?

C:/Ruby200/bin/ruby.exe extconf.rb --with-sqlite3-dir=c:/sqlite3 checking for sqlite3.h... Ubuntu Logo, Ubuntu and Canonical Canonical Ltd. Building native extensions with: '--with-sqlite3-dir=c:/sqlite3' This could take a while... All rights reserved.

Install SQLite3 from http://www.sqlite.org/ first. *** extconf.rb failed *** Could not create Makefile due to some reason, probably lack of necessary libraries and/or headers. But this info can help someone to economy their time when they see strange error. Visible to the public. Provided configuration options: --with-opt-dir --without-opt-dir --with-opt-include …. --without-sqlite3-lib=${sqlite3-dir}/ --enable-local --disable-local Gem files will remain installed in C:/Ruby200/lib/ruby/gems/2.0.0/gems/sqlite3-1 .3.7 for inspection.

C:/jruby-9.0.0.0/bin/jruby.exe -r ./siteconf20151208-24888-1kbf9cg.rb extconf.rb --with-sqlite3-include=path_to_include --with-sqlite3-lib=path_to_lib --with-sqlite3-dir=path_to_dll NotImplementedError: C extensions are not supported at C:/jruby-9.0.0.0/lib/ruby/stdlib/mkmf.rb:1 require at org/jruby/RubyKernel.java:940 (root) at C:/jruby-9.0.0.0/lib/ruby/stdlib/rubygems/core_ext/kernel_require.rb:1 at extconf.rb:3 extconf failed, exit code 1 Gem files will It doesn't help. I found sqlite3.h(this is in the sqlite-amalgamation folder), so I guess what I do next is to put it in the proper folder. Check the mkmf.log file for more details.

The pre-compiled binary for x86-mingw32 do not include binaries for Ruby 2.0, so I guess you installed with --platform=ruby. Install SQLite3 from http://www.sqlite.org/ first. *** extconf.rb failed *** Could not create Makefile due to some reason, probably lack of necessary libraries and/or headers. What did it contain? –Jergason Feb 17 '11 at 6:23 Do you have gcc? Go to the download page and grab the source.

sudo apt-get install ruby1.8-dev Thanks to mentalized for that one. Appease Your Google Overlords: Draw the "G" Logo In a long sum, how can we find how many terms are preceded by the plus (or minus) sign Can cats leave scratch ERROR: Error installing sqlite3: ERROR: Failed to build gem native extension. C:/jruby-9.0.0.0/lib/ruby/stdlib/rubygems/ext/ext_conf_builder.rb:39: warning: Tempfile#unlink or delete called on open file; ignoring ERROR: Error installing sqlite3: ERROR: Failed to build gem native extension.

Why must the speed of light be the universal speed limit for all the fundamental forces of nature? Sparkle Motion member luislavena commented Mar 25, 2013 Please see rubyinstaller list for sqlite3 package ready to be used. share|improve this answer edited Aug 24 '11 at 17:20 answered Aug 24 '11 at 17:14 Jim Oser 5113 add a comment| up vote 3 down vote Sounds like you haven't installed Successfully installed sqlite3-1.3.7 Parsing documentation for sqlite3-1.3.7 unable to convert "\x90" from ASCII-8BIT to UTF-8 for lib/sqlite3/sqlite3_native .so, skipping 1 gem installed C:\knapsack>irb DL is deprecated, please use Fiddle irb(main):001:0> require

bash-3.1$ ls -l c:/sqlite3/lib total 4347 -rw-r--r-- 1 yy Administrators 4313628 Feb 26 21:49 libsqlite3.a -rw-r--r-- 1 yy Administrators 135652 Feb 26 21:49 libsqlite3.dll.a -rw-r--r-- 1 yy Administrators 788 Feb 26 Are leet passwords easily crackable? See other example here: #82 (comment) jupeal commented May 9, 2013 @luislavena C:\Setup\Gem>7z l ..\SQLite\sqlite-dll-win32-x86-3071602.zip 7-Zip 9.20 Copyright (c) 1999-2010 Igor Pavlov 2010-11-18 Listing archive: ..\SQLite\sqlite-dll-win32-x86-3071602.zip Path = ..\SQLite\sqlite-dll-win32-x86-3071602.zip Type = Solved!

This could take a while... ruby-on-rails ruby sqlite3 gem sqlite3-ruby share|improve this question edited Feb 17 '11 at 13:16 asked Feb 17 '11 at 6:17 Folken 2222613 1 Did you check the makefile log like